Complete the migration to the new machines

Sep 22, 2022 03:56 PM - Michele Artini

Status: Closed Start date: Sep 22, 2022

Priority: Normal Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category:  Estimated time: 0.00 hour

VREName:    

Description

It is necessary to complete the migration moving the following components to new-openportal.isti.cnr.it:

VirtualHost for ISTI Portal

VirtualHost for ISMAR Portal

VirtualHost for BETA Portal

FTP data and users (only for ISTI)

Related issues:

Related to ISTI Open Access - Feature #21891: Migrate OpenPortal machines to ... Closed Jul 30, 2021

History

#1 - Sep 22, 2022 03:57 PM - Michele Artini

- Related to Feature #21891: Migrate OpenPortal machines to ubuntu 18.04 added

#2 - Sep 22, 2022 03:58 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Tommaso Piccioli

Riguardo a ftp: ricordo che sul sistema nuovo TLS è attivo, è possibile che vada cambiata la configurazione dei client (la compatibilità con filezilla è

stata testata, e funziona).

#3 - Sep 22, 2022 04:21 PM - Leonardo Candela

I would suggest to dismiss the ISMAR site, it was never released. 

#4 - Sep 27, 2022 09:25 AM - Michele Artini

Altra considerazione sul server FTP:

i documenti della cartella dell'ISTI devono essere accessibili via HTTP preservando la vecchia URL, ad esempio:

http://openportal.isti.cnr.it/data/2010/161204/2010_161204.pdf

#5 - Sep 27, 2022 02:29 PM - Tommaso Piccioli

Ho aggiornato il playbook per aggiungere ISTI e beta sul nuovo server, ora però farei un backup della macchina prima di rompere qualcosa.

#6 - Sep 27, 2022 04:29 PM - Tommaso Piccioli

- Status changed from New to In Progress

il portale beta è stato migrato, nuova url https://openportal.beta.isti.cnr.it

#7 - Sep 29, 2022 10:26 AM - Tommaso Piccioli

Sto per migrare il portale ISTI, ci sarà un downtime, Michele ha avvisato la biblioteca.

#8 - Sep 29, 2022 12:29 PM - Michele Artini

- Status changed from In Progress to Closed

Abbiamo completato la migrazione.

Ora il server FTP utilizza il protocollo FTPS.

Il portale potrebbe essere irraggiungibile da chi utilizza alcuni DNS, la cosa si risolve automaticamente in massimo 24 ore.

#9 - Sep 29, 2022 12:30 PM - Michele Artini
- % Done changed from 0 to 100
